Bug 20299 - Koha is a gift
Summary: Koha is a gift
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 18336
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-26 14:04 UTC by Jonathan Druart
Modified: 2018-04-23 22:29 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20299 - Is Koha installer suggesting Koha is shit? (1.24 KB, patch)
2018-03-23 13:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20299 - Koha is a gift (1.21 KB, patch)
2018-03-23 13:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20299 - Koha is a gift (1.30 KB, patch)
2018-03-23 23:16 UTC, Mason James
Details | Diff | Splinter Review
Bug 20299 - Koha is a gift (1.32 KB, patch)
2018-03-25 09:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20299: Koha is a gift (1.32 KB, patch)
2018-03-25 09:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-02-26 14:04:35 UTC
Bug 18336 displays:

+    print "Upgrade to $DBversion done (Bug 18336: Convert DB tables to utf8mb4 πŸ’©)\n";

It could be wrongly interpreted by new Koha users, we should change this emoji
Comment 1 Jonathan Druart 2018-02-26 14:04:59 UTC
Please suggest something else :)
Comment 2 Owen Leonard 2018-02-26 15:37:08 UTC
https://emojipedia.org/wrapped-present/
Comment 3 Katrin Fischer 2018-02-26 21:42:45 UTC
(In reply to Owen Leonard from comment #2)
> https://emojipedia.org/wrapped-present/

+1
Comment 4 Liz Rea 2018-02-26 23:22:11 UTC
https://emojipedia.org/smiling-face-with-smiling-eyes/

Just for you know, an alternative. 😊
Comment 5 Liz Rea 2018-02-26 23:22:48 UTC
(I don't care either way, but yes we should get rid of the poo.)
Comment 6 David Cook 2018-02-27 05:07:22 UTC
πŸ’―

πŸ‘©β€πŸ’»πŸ‘¨β€πŸ’»

πŸ†•πŸ†“

🚩

🏁

βœ”

β–Ά

πŸ”‘

πŸ’²πŸ’²πŸ’²
πŸ’°

πŸ“š
πŸ“–

πŸ“€
πŸ’Ώ
πŸ’Ύ

πŸ”‹

πŸ”Š

πŸ”₯

Ok I really could just go forever here


https://unicode.org/emoji/charts/full-emoji-list.html
Comment 7 Josef Moravec 2018-02-27 06:12:23 UTC
(In reply to Owen Leonard from comment #2)
> https://emojipedia.org/wrapped-present/

I am for this as "koha" means "gift" ;)
Comment 8 Owen Leonard 2018-03-23 13:21:19 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2018-03-23 13:45:21 UTC
Created attachment 73179 [details] [review]
Bug 20299 - Koha is a gift

This patch updates the database update script replacing the "pile of
poo" emoji with the "wrapped gift" emoji.

To test, apply the patch and go to Administration -> System preferences
-> Local use. Set the "Version" preference back to trigger a database
update. Go through the database update process and confirm that the
"Convert DB tables to utf8mb4" upgrade message includes a gift emoji.
Comment 10 Mason James 2018-03-23 23:16:47 UTC
Created attachment 73224 [details] [review]
Bug 20299 - Koha is a gift

This patch updates the database update script replacing the "pile of
poo" emoji with the "wrapped gift" emoji.

To test, apply the patch and go to Administration -> System preferences
-> Local use. Set the "Version" preference back to trigger a database
update. Go through the database update process and confirm that the
"Convert DB tables to utf8mb4" upgrade message includes a gift emoji.

Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 11 Mason James 2018-03-23 23:21:05 UTC
(In reply to Owen Leonard from comment #9)
> Created attachment 73179 [details] [review] [review]
> Bug 20299 - Koha is a gift
> 
> This patch updates the database update script replacing the "pile of
> poo" emoji with the "wrapped gift" emoji.

..looks good to me πŸ‘
Comment 12 Katrin Fischer 2018-03-25 09:45:24 UTC
Created attachment 73225 [details] [review]
Bug 20299 - Koha is a gift

This patch updates the database update script replacing the "pile of
poo" emoji with the "wrapped gift" emoji.

To test, apply the patch and go to Administration -> System preferences
-> Local use. Set the "Version" preference back to trigger a database
update. Go through the database update process and confirm that the
"Convert DB tables to utf8mb4" upgrade message includes a gift emoji.

Signed-off-by: Mason James <mtj@kohaaloha.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2018-03-25 09:46:13 UTC
Thx Owen! Plz remember : not - in subject :)
Comment 14 Katrin Fischer 2018-03-25 09:46:33 UTC
Created attachment 73226 [details] [review]
Bug 20299: Koha is a gift

This patch updates the database update script replacing the "pile of
poo" emoji with the "wrapped gift" emoji.

To test, apply the patch and go to Administration -> System preferences
-> Local use. Set the "Version" preference back to trigger a database
update. Go through the database update process and confirm that the
"Convert DB tables to utf8mb4" upgrade message includes a gift emoji.

Signed-off-by: Mason James <mtj@kohaaloha.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Jonathan Druart 2018-03-26 20:38:21 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 16 Nick Clemens 2018-04-23 22:29:57 UTC
Awesoem work all, depends on patches which are not in stable, not backporting.